extends ColorRect

signal cancel

@onready var animation := $AnimationPlayer as AnimationPlayer
@onready var cancel_trigger := $VBoxContainer/CancelTrigger as Button
@onready var display_cancel_trigger_timer := $Timers/DisplayCancelTriggerTimer as Timer

var active := false :
	set(value):
		if active == value: return
		visible = value
		cancel_trigger.visible = !value
		if value: display_cancel_trigger_timer.start()
		active = value
